org.apache.tapestry5.ioc.internal.services

## Class ServiceMessages

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.services.ServiceMessages

-     public class ServiceMessages
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `failedCoercion(java.lang.Object input, java.lang.Class targetType, Coercion coercion, java.lang.Throwable cause)`
    `static java.lang.String` | `noSuchProperty(java.lang.Class clazz, java.lang.String propertyName)`
    `static java.lang.String` | `propertyTypeMismatch(java.lang.String propertyName, java.lang.Class sourceClass, java.lang.Class propertyType, java.lang.Class expectedType)`
    `static java.lang.String` | `readFailure(java.lang.String propertyName, java.lang.Object instance, java.lang.Throwable cause)`
    `static java.lang.String` | `registryShutdown(java.lang.String serviceId)`
    `static java.lang.String` | `serviceBuildFailure(java.lang.String serviceId, java.lang.Throwable cause)`
    `static java.lang.String` | `shutdownListenerError(java.lang.Object listener, java.lang.Throwable cause)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### noSuchProperty

          public static java.lang.String noSuchProperty(java.lang.Class clazz,
                                                        java.lang.String propertyName)

    - #### readFailure

          public static java.lang.String readFailure(java.lang.String propertyName,
                                                     java.lang.Object instance,
                                                     java.lang.Throwable cause)

    - #### propertyTypeMismatch

          public static java.lang.String propertyTypeMismatch(java.lang.String propertyName,
                                                              java.lang.Class sourceClass,
                                                              java.lang.Class propertyType,
                                                              java.lang.Class expectedType)

    - #### shutdownListenerError

          public static java.lang.String shutdownListenerError(java.lang.Object listener,
                                                               java.lang.Throwable cause)

    - #### failedCoercion

          public static java.lang.String failedCoercion(java.lang.Object input,
                                                        java.lang.Class targetType,
                                                        Coercion coercion,
                                                        java.lang.Throwable cause)

    - #### registryShutdown

          public static java.lang.String registryShutdown(java.lang.String serviceId)

    - #### serviceBuildFailure

          public static java.lang.String serviceBuildFailure(java.lang.String serviceId,
                                                             java.lang.Throwable cause)

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.